TunerPermission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.net.tuning
Class TunerPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.dvb.net.tuning.TunerPermission

All Implemented Interfaces:
  Serializable, Guard

    public class TunerPermission

extends BasicPermission

This class is for tuner permissions. The name and actions list of a TunerPermission contains no name and no actions list. The return value of the inherited getName() method is implementation dependent. If an application has the tuner permission, then it shall not receive a `SecurityException` from those methods in that API defined to throw one. Without such a permission, it shall receive such an exception.

See Also:
  Serialized Form

Constructor Summary
`TunerPermission(String name)` Creates a new TunerPermission.
`TunerPermission(String name, String actions)` Creates a new TunerPermission.

Method Summary
`boolean` | `implies(Permission p)` Checks if the specified permission is "implied" by this object.

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TunerPermission

    public TunerPermission(String name)

  Creates a new TunerPermission. The name string is currently unused and should be empty.

  Parameters:
    `name` - the name of the TunerPermission.

### TunerPermission

    public TunerPermission(String name,
                           String actions)

  Creates a new TunerPermission. The name string is currently unused and should be empty. The actions string is currently unused and should be null. This constructor exists for use by the Policy object to instantiate new Permission objects.

  Parameters:
    `name` - the name of the TunerPermission.
    `actions` - the actions list

Method Detail

### implies

    public boolean implies(Permission p)

  Checks if the specified permission is "implied" by this object.

  Since name and actions are not used, the only check needed is whether p is also a TunerPermission.

  Overrides:
    `implies` in class `BasicPermission`
  Parameters:
    `p` - the permission to check against.
  Returns:
    true if the passed permission is equal to or implied by this permission, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD